Bug 334478 - "No QQuickWindow assigned yet" / "tabbox/thumbnails/contents/ui/main.qml:143:27: Unable to assign [undefined] to QString"
Summary: "No QQuickWindow assigned yet" / "tabbox/thumbnails/contents/ui/main.qml:143:...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-tabbox (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/118...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-07 18:23 UTC by Elias Probst
Modified: 2014-05-13 07:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:
mgraesslin: ReviewRequest+


Attachments
Patch for thumbnails layout (1.98 KB, patch)
2014-05-08 09:03 UTC, Martin Flöser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elias Probst 2014-05-07 18:23:52 UTC
tabbox doesn't show any thumbnails and instead shows output like this:

May 07 19:52:34 moria kwin[14344]: areKeySymXsDepressed:  any of  2
May 07 19:52:34 moria kwin[14344]: 0 : keySymX=0x "ffe9"  i= 8  mask=0x "1"  keymap[i]=0x "1"
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: file:///usr/share/kwin/tabbox/thumbnails/contents/ui/main.qml:143:27: Unable to assign [undefined] to QString
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: file:///usr/share/kwin/tabbox/thumbnails/contents/ui/main.qml:143:27: Unable to assign [undefined] to QString
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:34 moria kwin[14344]: No QQuickWindow assigned yet
May 07 19:52:36 moria kwin[14344]: QXcbConnection: XCB error: 3 (BadWindow), sequence: 28333, resource id: 19603490, major code: 20 (GetProperty), minor code: 0


So there are 2 issues:
1. For some reason, it is unable to retrieve thumbnails (they work fine in Plasma Workspace/task manager applet)
2. In tabbox/thumbnails/contents/ui/main.qml a check is missing, whether a thumbnails is available before making use of it.

Using:
- kwin (frameworks based git master, 75cac763)
- Qt 5.3.0_beta

System information:
May 07 20:23:00 moria kwin[14344]: Initializing OpenGL compositing
May 07 20:23:00 moria kwin[14344]: Drawable visual (depth  24 ): 0x "8c"
May 07 20:23:00 moria kwin[14344]: Drawable visual (depth  32 ): 0x "5e"
May 07 20:23:00 moria kwin[14344]: Buffer visual (depth  24 ): 0x "8b"
May 07 20:23:00 moria kwin[14344]: OpenGL vendor string:                   Intel Open Source Technology Center
May 07 20:23:00 moria kwin[14344]: OpenGL renderer string:                 Mesa DRI Intel(R) Ivybridge Mobile
May 07 20:23:00 moria kwin[14344]: OpenGL version string:                  3.0 Mesa 10.0.4
May 07 20:23:00 moria kwin[14344]: OpenGL shading language version string: 1.30
May 07 20:23:00 moria kwin[14344]: Driver:                                 Intel
May 07 20:23:00 moria kwin[14344]: GPU class:                              IvyBridge
May 07 20:23:00 moria kwin[14344]: OpenGL version:                         3.0
May 07 20:23:00 moria kwin[14344]: GLSL version:                           1.30
May 07 20:23:00 moria kwin[14344]: Mesa version:                           10.0.4
May 07 20:23:00 moria kwin[14344]: X server version:                       1.15
May 07 20:23:00 moria kwin[14344]: Linux kernel version:                   3.14
May 07 20:23:00 moria kwin[14344]: Requires strict binding:                no
May 07 20:23:00 moria kwin[14344]: GLSL shaders:                           yes
May 07 20:23:00 moria kwin[14344]: Texture NPOT support:                   yes
May 07 20:23:00 moria kwin[14344]: Virtual Machine:                        no
May 07 20:23:00 moria kwin[14344]: Direct rendering: true
May 07 20:23:00 moria kwin[14344]: Color correction: false
May 07 20:23:00 moria kwin[14344]: OpenGL 2 compositing successfully initialized
May 07 20:23:00 moria kwin[14344]: Vertical Refresh rate  60 Hz
Comment 1 Martin Flöser 2014-05-07 18:57:25 UTC
can you try using the "Grid" variant. I'm using that and haven't noticed any 
problems yet.

That would help to narrow down whether it's just in the one QML file.
Comment 2 Elias Probst 2014-05-07 19:48:23 UTC
It seems there's something else broken as well.
The effect preview shows the selected one, but actually using it just shows "random" different ones, e.g. instead of "Grid" I see "Cover Switch".

The previews (e.g. for Grid) won't show any thumbnails as well.
Might ping you on IRC for a debug session soon.
Comment 3 Martin Flöser 2014-05-08 09:03:09 UTC
Looks like something changed in Qt. If I see it correctly it will affect more than one of the switchers. I'll attach a patch for the thumbnails switcher.
Comment 4 Martin Flöser 2014-05-08 09:03:40 UTC
Created attachment 86518 [details]
Patch for thumbnails layout
Comment 5 Martin Flöser 2014-05-13 07:26:09 UTC
Git commit 2653160c5ab7ed20ac35adb2ab1978b4fb4cee31 by Martin Gräßlin.
Committed on 08/05/2014 at 09:15.
Pushed by graesslin into branch 'master'.

[tabbox/qml] Do not export the item's model data as a variant

The hack to get the model data from the currently selected item to the
areas outside the list view apparently broke in Qt. Now we have to export
the model data elements we actually use.
REVIEW: 118047

M  +2    -2    tabbox/qml/IconTabBox.qml
M  +1    -1    tabbox/qml/clients/big_icons/contents/ui/main.qml
M  +1    -1    tabbox/qml/clients/small_icons/contents/ui/main.qml
M  +6    -4    tabbox/qml/clients/thumbnails/contents/ui/main.qml
M  +3    -3    tabbox/qml/desktops/previews/contents/ui/main.qml

http://commits.kde.org/kwin/2653160c5ab7ed20ac35adb2ab1978b4fb4cee31